package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.enums.MakeMethodEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Date: 2021/3/31.
 */
public class ExamTaskDetailDto {

    private String id;
    private String examDetailId;
    private String printPlanId;
    private String printPlanName;
    private String paperNumber;
    private String courseCode;
    private String courseName;
    private String specialty;
    private String cardRuleId;

    @ApiModelProperty(value = "题卡规则名称")
    private String cardRuleName;
    private String userId;
    private String userName;
    private String status;
    private Boolean enable;
    private String createId;
    private Long createTime;
    private String paperType;
    private String relatePaperType;
    private String exposedPaperType;
    private String unexposedPaperType;
    private Integer totalSubjects;
    private String examDetailCourseIds;

    private String examName;
    private String semesterName;

    @ApiModelProperty(value = "题卡制作方式：SELECT-选择已有题卡，SELF-自助创建，CUST-客户制卡")
    private MakeMethodEnum makeMethod;

    private Integer setup;
    @ApiModelProperty(value = "机构id")
    private String orgName;

    @ApiModelProperty(value = "题卡id")
    private Long examCardId;

    @ApiModelProperty(value = "命题任务试卷附件")
    private String paperAttachmentIds;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getExamDetailId() {
        return examDetailId;
    }

    public void setExamDetailId(String examDetailId) {
        this.examDetailId = examDetailId;
    }

    public String getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(String printPlanId) {
        this.printPlanId = printPlanId;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getCardRuleId() {
        return cardRuleId;
    }

    public void setCardRuleId(String cardRuleId) {
        this.cardRuleId = cardRuleId;
    }

    public String getCardRuleName() {
        return cardRuleName;
    }

    public void setCardRuleName(String cardRuleName) {
        this.cardRuleName = cardRuleName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getRelatePaperType() {
        return relatePaperType;
    }

    public void setRelatePaperType(String relatePaperType) {
        this.relatePaperType = relatePaperType;
    }

    public String getExposedPaperType() {
        return exposedPaperType;
    }

    public void setExposedPaperType(String exposedPaperType) {
        this.exposedPaperType = exposedPaperType;
    }

    public String getUnexposedPaperType() {
        return unexposedPaperType;
    }

    public void setUnexposedPaperType(String unexposedPaperType) {
        this.unexposedPaperType = unexposedPaperType;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getExamDetailCourseIds() {
        return examDetailCourseIds;
    }

    public void setExamDetailCourseIds(String examDetailCourseIds) {
        this.examDetailCourseIds = examDetailCourseIds;
    }

    public MakeMethodEnum getMakeMethod() {
        return makeMethod;
    }

    public void setMakeMethod(MakeMethodEnum makeMethod) {
        this.makeMethod = makeMethod;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getExamCardId() {
        return examCardId;
    }

    public void setExamCardId(Long examCardId) {
        this.examCardId = examCardId;
    }

    public String getPaperAttachmentIds() {
        return paperAttachmentIds;
    }

    public void setPaperAttachmentIds(String paperAttachmentIds) {
        this.paperAttachmentIds = paperAttachmentIds;
    }
}
